## cal3d 0.11.0

=== SConstruct ===
import sys

env = Environment()

# Since we can't use toolpath=['#/toolspec'] yet...
sys.path.append(Dir('#/toolspec').abspath)

optCache = 'options.cache'
opts = Options(optCache)
opts.AddOptions(
    BoolOption('dbg',    'Build with debugging enabled', 0),
    BoolOption('opt',    'Build with optimizations', 0),
    BoolOption('distcc', 'Enable compiling with distcc', 0),
    BoolOption('nowarn', 'Disable all warnings', 0),
    BoolOption('warningsAsErrors', 'Treat warnings as errors', 0))

opts.Update(env)
Help(opts.GenerateHelpText(env))
opts.Save(optCache, env)

if env.get('dbg'):
    env.Append(CCFLAGS=['-g'], CPPDEFINES=['DEBUG', '_DEBUG'])
if env.get('opt'):
    env.Append(CCFLAGS=['-O2'], LINKFLAGS=['-s'], CPPDEFINES=['NDEBUG'])
if env.get('distcc'):
    env['CC']  = ['$(', 'distcc', '$)', env['CC']]
    env['CXX'] = ['$(', 'distcc', '$)', env['CXX']]
if env.get('nowarn'):
    env.Append(CCFLAGS=['-w'])
else:
    if env['CC'] == 'gcc':
        env.Append(CCFLAGS=['-Wall'])
    elif env['CXX'] == 'g++':
        env.Append(CXXFLAGS=['-Wall'])
    if env['CXX'] == 'g++':
        env.Append(CXXFLAGS=['-Wno-non-virtual-dtor'])
if env.get('warningsAsErrors'):
    if env['CC'] == 'gcc':
        env.Append(CCFLAGS=['-Werror'])
    elif env['CXX'] == 'g++':
        env.Append(CXXFLAGS=['-Werror'])

Export('env')
SConscript(dirs=['examples', 'src', 'tools'])

=== debian/changelog ===
cal3d (0.11.0-8.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:24:57 +0000

cal3d (0.11.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062036

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:35:38 +0000

cal3d (0.11.0-8) unstable; urgency=medium

  * QA upload.
  * Move Homepage and d/watch to mp3butcher.github.io.  Closes: #975383.
  * Convert d/copyright do machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sat, 25 Feb 2023 14:22:13 +0100

cal3d (0.11.0-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 15:34:00 +0200

cal3d (0.11.0-7) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Bump compat to 9, no dh conversion yet.
  * Fix FTBFS with gcc-6, thanks Alberto Luaces.  Closes: #811667, #831139.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 21 Jul 2016 07:23:42 +0200

cal3d (0.11.0-6) unstable; urgency=medium

  * QA upload
  * Release to unstable

  [ Maria Valentina Marin <marivalenm@gmail.com> ]
  * Removed $datetime from the file api_footer.html to make package
    reproducible (Closes: #787916)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 14 Aug 2015 15:59:16 +0100

cal3d (0.11.0-5) experimental; urgency=medium

  * QA upload
  * Assign to the QA Group (it was already orphaned)
  * Rename library packages with v5 postfix for GCC-5 / libstdc++ ABI
    transition
  * Add ${misc:Depends} to Depends in d/control packages to avoid lintian
    warnings

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 14 Aug 2015 15:16:46 +0100

cal3d (0.11.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Ubuntu to use dh-autoreconf for better support of new
    architectures.  Thanks Logan Rosen (Closes: #727335)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 16 May 2014 23:00:23 +0100

cal3d (0.11.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added build-arch and build-indep targets.
    (Closes: #647800)
  * Enable harding flags by using dpkg-buildflags.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 13:55:19 +0100

cal3d (0.11.0-4) unstable; urgency=low

  * Updated config.guess and config.sub (Closes: #528398).
  * debian/copyright: Rewritten to include all needed infos.
  * debian/control: Updated Build-Depends to debhelper (>= 5).
  * debian/control: Updated Standards-Version.
  * src/cal3d_converter.1.in: Fixed comment lines with license.
  * debian/watch: Use new upstream website.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 22:03:16 +0200

cal3d (0.11.0-3) unstable; urgency=low

  * Fix includes for GCC 4.3. Closes: #455450.
  * Use Homepage field instead of pseudo-field in long descriptions.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 11 Dec 2007 08:19:07 +0100

cal3d (0.11.0-2) unstable; urgency=low

  * Upload to unstable.
  * Replaced obsoleted ${Source-Version} in debian/control.
  * Moved libcal3d-doc package to doc section.
  * Make clean target don't fail when no Makefile exists.
  * Disabled tests.
  * Added Homepage tag to package descriptions

 -- Michael Koch <konqueror@gmx.de>  Sat, 30 Jun 2007 06:17:41 -0100

cal3d (0.11.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.

 -- Michael Koch <konqueror@gmx.de>  Mon,  3 Jul 2006 06:27:15 +0000

cal3d (0.10.0+0.11.0+rc2-1) unstable; urgency=low

  * New upstream release.
  * Run make check during build.
  * Include cal3d_converter into libcal3d12.

 -- Michael Koch <konqueror@gmx.de>  Thu, 15 Jun 2006 05:31:27 +0000

cal3d (0.10.0+0.11rc1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Koch <konqueror@gmx.de>  Sun, 28 May 2006 14:10:06 +0000

cal3d (0.10.0-7) unstable; urgency=low

  * Really include the static library (Closes: #347798).

 -- Michael Koch <konqueror@gmx.de>  Sun, 29 Jan 2006 14:19:50 +0000

cal3d (0.10.0-6) unstable; urgency=low

  * Rebuild with correct compiler.

 -- Michael Koch <konqueror@gmx.de>  Tue, 17 Jan 2006 14:55:10 +0000

cal3d (0.10.0-5) unstable; urgency=low

  * Include static library in libcal3d11-dev (Closes: #347798).
  * Updated watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 14 Jan 2006 10:27:42 +0000

cal3d (0.10.0-4) unstable; urgency=low

  * Renamed the library package again to be compliant with the transition
    plan. Make libcal3d11-dev depend on the correct library package
    (Closes: #341671).

 -- Michael Koch <konqueror@gmx.de>  Sat,  3 Dec 2005 20:12:16 +0000

cal3d (0.10.0-3) unstable; urgency=low

  * Did the new C++ ABI transition and renamed some packages (Closes: #339155).

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Nov 2005 15:53:18 +0000

cal3d (0.10.0-2) unstable; urgency=low

  * debian/libcal3d-doc.install: Include all API documentation files
    (Closes: #326624)

 -- Michael Koch <konqueror@gmx.de>  Sun,  4 Sep 2005 16:42:08 +0000

cal3d (0.10.0-1) unstable; urgency=low

  * New upstream release (Closes: #325108)
  * Updated Standards-Version to 3.6.2

 -- Michael Koch <konqueror@gmx.de>  Tue, 30 Aug 2005 05:32:20 +0000

cal3d (0.9.1+cvs20041122-1) unstable; urgency=low

  * New CVS snapshot

 -- Michael Koch <konqueror@gmx.de>  Mon, 22 Nov 2004 10:50:00 +0000

cal3d (0.9.1+cvs20041028-2) unstable; urgency=low

  * Upload to unstable
  * Fixed debian/watch to recognize .tar.bz2 suffix

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Nov 2004 16:45:56 +0000

cal3d (0.9.1+cvs20041028-1) experimental; urgency=low

  * New CVS snapshot
  * Don't provide static library
  * Added shared library package (Closes: #277820)
  * Added documentation package
  * Revisited debian/rules


=== debian/control ===
Source: cal3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), doxygen, dpkg-dev (>= 1.16.1), dh-autoreconf
Standards-Version: 3.9.8
Homepage: https://mp3butcher.github.io/Cal3D/

Package: libcal3d12t64
Provides: ${t64:Provides}
X-Time64-Compat: libcal3d12v5
Breaks: libcal3d12v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcal3d12
Replaces: libcal3d12v5, libcal3d12
Description: Skeletal based 3d character animation library
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 runtime library.

Package: libcal3d12-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcal3d12t64 (= ${binary:Version})
Conflicts: libcal3d-dev, libcal3d10-dev
Replaces: libcal3d-dev, libcal3d10-dev
Provides: libcal3d-dev
Description: Skeletal based 3d character animation library - development files
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 development files.

Package: libcal3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libcal3d12-dev (>= ${source:Version})
Description: Skeletal based 3d character animation library - API documentation
 Cal3d is a skeletal based 3d character animation library
 written in C++ in a platform-/graphic API-independent way.
 It has an unified exporter plugin framework. Currently it
 includes exporters 16 for 3D Studio Max and MilkShape 3D).
 .
 This package contains the cal3 API documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

LIBS = -lstdc++

ifneq (,$(findstring mips,$(DEB_BUILD_GNU_TYPE)))
	LIBS += -lm
endif

DPKG_EXPORT_BUILDFLAGS = 1
DEB_CXXFLAGS_MAINT_APPEND = -Wall -fPIC
include /usr/share/dpkg/buildflags.mk

config.status: configure
	dh_testdir
	dh_autoreconf
	LIBS="$(LIBS)" \
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--disable-dependency-tracking \
		--enable-shared \
		--enable-static \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info
	# FIXME: Still needed ?
	sed -e 's/CC="gcc"/CC="g++"/g' libtool > lt.tmp && mv -f lt.tmp libtool


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)
#	$(MAKE) check
	( cd docs ; $(MAKE) doc-api )

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libcal3d-doc/html
	cp -r $(CURDIR)/docs/api/html/* $(CURDIR)/debian/tmp/usr/share/doc/libcal3d-doc/html

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_install -i --sourcedir=debian/tmp
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=4
https://mp3butcher.github.io/Cal3D/ .*/sources/cal3d-([0-9\.]+)\.tar\.gz debian
